Subject: Re: linux-next: Tree for May 7 (argh)

From: Andi Kleen <[email-masked]>
Date: Thu, 8 May 2014 10:08:51 -0700

On Thu, May 08, 2014 at 10:05:35AM -0700, Jim Davis wrote:
> On 5/7/14, Andi Kleen <[email-masked]> wrote:
> 
> > It sounds like it misdetects your binutils. LTO should
> > disable itself when your binutils cannot handle it. Can you send me
> > the full build log and output of ld --version and gcc --version
> > please?
> 
> With next-20140518 I am getting
> 
> buildlog-1399568101.txt:/home/jim/linux/scripts/Makefile.lto:76:
> "WARNING: Too old linker version 22400000 for kernel LTO. You need
> Linux binutils. CONFIG_LTO disabled."

Ok so LTO is not active, and you still get errors.

That is odd.

> 
> I don't recall seeing that when the problems first started, but I
> didn't save a buildlog from back then...

Please send a full build log / config

-Andi